/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PWNDICTIONARY_H
#define PWNDICTIONARY_H

#include <qapplication.h>
#include <qlistbox.h>
#include <qfile.h>
#include "kydpconfig.h"

class ydpDictionary : public QObject {
	Q_OBJECT
public:
	ydpDictionary(kydpConfig *config, QListBox *listBox);
	~ydpDictionary();

	QString GetDefinition(int index);
	QString GetTip(int index);
	QString GetInputTip(int index);
	QString GetOutputTip(int index);
	int GetTipNumber(int type);
	int OpenDictionary(kydpConfig *config);
	int OpenDictionary(QString path, QString index, QString def);
	int CheckDictionary(kydpConfig *config);
	int CheckDictionary(QString path, QString index, QString def);
	void CloseDictionary(void);

private:
	int  ReadDefinition (int index);
	void FillWordList(void);
	QString ListItemConvert(QCString input);
	QString pwnhtml2qthtml (char *definition);
	QString insertTip(QString raw_input);
	QString MatchToolTips(const QString input);
	void DoToolTips(const QString regex, QString *tmp, const QString color, const int n);

	// configuration holder
	kydpConfig *cnf;

	// GUI element holding index
	QListBox	*dictList;

	// dictionary file variables
	QFile fIndex;               /* index file descriptor */
	QString curDefinition;		/* contains current definition (RTF)*/

};

#endif
